{% extends 'base.html' %}
<!-- {% load crispy_forms_tags %} -->

{% block title %}
	Add Event
{% endblock %}

{% block content %}

{% if user.is_anonymous == False %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Add Event</h1>
				{% if error == True %}
					<p class="text-danger">Duplicate event found</p>
				{% endif %}
				<form action="{% url 'todolist:add_event' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
						<label for="event_name">Event Name: </label>
						<input class="form-control" id="event_name" type="text" name="event_name" value="{{ event_name }}" maxlength="50" required>
					</div>

					<div class="mb-3">
						<label for="description">Description: </label>
						<textarea class="form-control" id="description" name="description" value="{{ description }}" required></textarea>
					</div>

					<div class="mb-3">
						<label for="event_date">Event Date: </label>
						<input class="form-control" id="event_date" type="date" name="event_date" value="{{ event_date }}" required>
					</div>

					<div class="text-center">
						<input class="btn btn-success" type="submit" value="Add Event">
					</div>

				</form>
			</div>
		</div>
	</div>
	
{% else %}
    <h1 class="text-center mt-3">You are not authorized to access this page.</h1>
    <p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
{% endif %}

{% endblock %}
